/* CSS V3.0
 * © Copyright 2025, all rights reserved by Nicolas von Auw
 */


@media screen {
	/* BODY */
	body {	
		font-family: system-ui;
		margin: auto;
		height: 100%;
		width: 100%;
		background-color: rgba(255,255,255,1);	
	}

	/* MAIN */
	main {
		height: 100%;
		width: 70%;
		text-align: left;
		background-color: rgba(255,255,255,1);
		display: inline-block;
		margin-left: 5%;
	}

	main h1, h2, h3, h4, p, ol, ul, table, legend, fieldset, address, figure, dl, figcaption {
		color: rgba(127,127,127,1);
	}

	main h1 {
		font-size: 250%;
	}

	main h2 {
		font-size: 100%;
	}
	
	main h3 {
		font-size: 100%;
	}

	p {
		font-size: 100%;
	}
	
	ul, ol, dl {
		padding-left: 10mm;
	}
	
	legend, figcaption {
		font-size: 3.5mm;	
	}

	table {
		font-size: 3mm;
		border-collapse: collapse;
		text-align: left;
	}
	
	td {
		border: solid 0.25mm rgba(255,255,255,1);
	}

	td:first-child {
		border-left: 0mm solid rgba(255,255,255,0);
	}

	td {
		border-right: 0.25mm solid rgb(0,0,0);
		border-top: 0.25mm solid rgb(0,0,0);
		border-bottom: 0.25mm solid rgb(0,0,0);
		padding-left: 1mm;
		padding-top: 1mm;
		padding-bottom: 1mm;
		padding-right: 1mm;
	}

	td:last-child {
		border-right: 0mm solid rgba(255,255,255, 1);
	}

	figure {
		text-align: center;
	}

	fieldset {
		border: solid 0.25mm rgba(127,127,127,1);
		border-radius: 15px 15px 15px 15px;
		margin-bottom: 2%;
		box-shadow: 3px 4px 0px 1px rgba(127,127,127,0.5);
	}

	figcaption {
		text-align: center;
		font-style: italic;
	}


	dt {
		font-weight: bold;
	}
	dd {
		padding-bottom: 5mm;
	}

	footer {
		width: 75mm;
		height: auto;
		margin: auto;
		text-align: center;
		font-style: italic;
		font-size: 2.5mm;
		color: rgba(127,127,127,1);
		background-color: rgba(127,127,127,0.1);
	}

	footer a, footer a:hover, footer a:visited {
		text-decoration: none;
		color: rgba(255,150,150,1);
		display: none;
	}


	@media (prefers-color-scheme: dark) {
    	body, main, footer {
        background-color: rgba(0,0,0,1);
        color: rgba(255,255,255,1);
    	}
    } 


}




